%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           cnucnu
Version:        0
Release: 0.11.20121004git618ed580%{?dist}
Summary:        Upstream release monitoring with bug reporting
Group:          Development/Tools
License:        GPLv2+
URL:            http://fedoraproject.org/wiki/Upstream_Release_Monitoring
#VCS: git:git://fedorapeople.org/home/fedora/till/public_git/cnucnu.git 
# Updated using:
# http://git.fedorahosted.org/git/?p=fedora-packager.git;a=shortlog;h=refs/heads/fedpkg-vcs
# Commandline: fedpkg-vcs -f pull-retarget 
## get current tarball from
# http://fedorapeople.org/gitweb?p=till/public_git/cnucnu.git;a=snapshot;sf=tgz
Source0: cnucnu-0git618ed580.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

Requires: rpm-python
Requires: python
Requires: python-bugzilla
Requires: python-fedora
Requires: python-genshi
Requires: python-pycurl
Requires: python-twisted-core
Requires: python-twisted-web
Requires: PyYAML

%description
Cnucnu provides an upstream release monitoring service with bugzilla
integration. See more at the project homepage at
http://fedoraproject.org/wiki/Upstream_Release_Monitoring

%prep
%setup -q -n cnucnu-0git618ed580

%build
python -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
python -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}
# Remove .py suffix
mv %{buildroot}/%{_bindir}/cnucnu{.py,}
# Remove interpreter from python libraries
for lib in %{buildroot}%{python_sitelib}/cnucnu/*.py; do
 sed '/#!\/usr\/bin\/python/d' $lib > $lib.new &&  touch -r $lib $lib.new &&  mv $lib.new $lib
done
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING gpl-2.0.txt gpl-3.0.txt
# For noarch packages: sitelib
%{python_sitelib}/cnucnu/
%{python_sitelib}/cnucnu-*.egg-info
%{_bindir}/cnucnu

%changelog
* Thu Oct 04 2012 Till Maas <opensource@till.name> - 0-0.11.20121004git618ed580
- Update with new snapshot

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20111030git315bba3b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.20111030git315bba3b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 30 2011 Till Maas <opensource@till.name> - 0-0.8.20111030git315bba3b
- Update to new snapshot: Fix Bug #742808

* Tue Mar 08 2011 Till Maas <opensource@till.name> - 0-0.7.20110308git2033ec78
- Update to new snapshot

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20100704git0fe054e7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0-0.5.20100704git0fe054e7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 04 2010 Till Maas <opensource@till.name> - 0-0.4.20100704git0fe054e7
- Update to a recent snapshot to support the current regex/URL aliases in --shell
- Use fedpkg-vcs to easily update to a new snapshot

* Sun Jan 10 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0-0.3.20100110
- Use tgz created by git repository.

* Tue Jan 05 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0-0.2.20100105
- Remove .git files before creating tarball. Update to 20100105.
- Fix release tag.
- Change group to Development/Tools.

* Fri Jan 01 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0-0.1.20100101
- Create spec file based on upstream spec file template.
